Package com.veeva.vault.sdk.api.ui
Interface PageUrlRequest.Builder
- Enclosing interface:
- PageUrlRequest
public static interface PageUrlRequest.Builder
Creates an instance of
PageUrlRequest.
Calling withPageName(java.lang.String) is required before calling build().-
Method Summary
Modifier and TypeMethodDescriptionbuild()Builds and returns the completePageUrlRequest.withPageName(String pageName) Required: Sets the page name to request.withPathInfo(String pathInfo) Sets the additional path to append to the Custom Page's URL.withQueryParameter(String key, List<String> values) Sets the query parameter for a particular value.
-
Method Details
-
withPageName
Required: Sets the page name to request. For example, "mypage__c".- Parameters:
pageName- The page name- Returns:
- this Builder
-
withPathInfo
Sets the additional path to append to the Custom Page's URL. For example, calling#withPathInfo("path/to/subpage")for a Custom Page with URL "/ui/#custom/page/mypage" changes the generated URL to "/ui/#custom/page/mypage/path/to/subpage".- Parameters:
pathInfo- The path information- Returns:
- this Builder
-
withQueryParameter
Sets the query parameter for a particular value. Always overwrites any existing query parameters with the same key. If multiple values are provided, the query parameter is repeated. For example, calling#withQueryParameter("key", VaultCollections.asList("value1", "value2"))appends "?key=value1&key=value2" to the generated URL.- Parameters:
key- The key for the query parametervalues- The value(s) for the query parameter- Returns:
- this Builder
-
build
PageUrlRequest build()Builds and returns the completePageUrlRequest.withPageName(java.lang.String)must have already been called.- Returns:
- the completed
PageUrlRequest
-